#include <gtk/gtk.h>
#include "owlcolourswatch.h"

int
main(int argc, char ** argv)
{
  GtkWidget *window;
  GtkWidget *swatch;
  GtkWidget *table;

  int i;
  int j;

  gtk_init (&argc, &argv);

  window = gtk_window_new (GTK_WINDOW_TOPLEVEL);
  g_signal_connect (window, "destroy", gtk_main_quit, NULL);

  table = gtk_table_new (3,3, FALSE);

  for (i = 0; i < 4; i++)
  {
    for (j = 0; j <4; j++)
    {
      GtkWidget *button;
      swatch = owl_colour_swatch_new ();
      button = gtk_button_new ();
      gtk_button_set_relief (GTK_BUTTON (button), GTK_RELIEF_NONE);
      gtk_container_add (GTK_CONTAINER (button), swatch);
      gtk_table_attach_defaults (GTK_TABLE(table), button, i, i+1, j, j+1);
    }
  }

  gtk_container_add (GTK_CONTAINER (window), table);

  gtk_widget_show_all (window);

  gtk_main ();

  return 0;
}

